<?php
// register facebook content type(post type)
// regiter post type
function create_post_type() {
  
  register_post_type('facebookStatus', 
    array(
      'labels' => array(
        'name' => __( 'Facebook Status', 'qns' ),
                'singular_name' => __( 'Facebook Status', 'qns' ),
        'add_new' => __('Add New', 'qns' ),
        'add_new_item' => __('Add New Facebook Status' , 'qns' )
      ),
    'public' => true,
    'has_archive' =>true,
    'show_ui' =>true,
    'menu_position' => 5,
    //'menu_icon' => get_template_directory_uri() .'/images/admin/events-icon.png',
    'rewrite' => array(
      'slug' => __('facebookStatus','qns'),
      'with_frot' =>true,
    ), 
    'supports' => array( 'title','content','editor','thumbnail'),
  ));
}

add_action( 'init', 'create_post_type' );


/**
  * Updates post meta for a post. It also automatically deletes or adds the value to field_name if specified
  *
  * @access     protected
  * @param      integer     The post ID for the post we're updating
  * @param      string      The field we're updating/adding/deleting
  * @param      string      [Optional] The value to update/add for field_name. If left blank, data will be deleted.
  * @return     void
  */

function __update_post_meta( $post_id, $field_name, $value = '' )
{
    if ( empty( $value ) OR ! $value )
    {
        delete_post_meta( $post_id, $field_name );
    }
    elseif ( ! get_post_meta( $post_id, $field_name ) )
    {
        add_post_meta( $post_id, $field_name, $value );
    }
    else
    {
        update_post_meta( $post_id, $field_name, $value );
    }
}






















?>